<?php

/*
* @package phpBB Extension - Basic Footer Socials
* @copyright (c) 2022, ForumFlair, https://forumflair.co.uk
* @license GNU General Public License, version 2 (GPL-2.0)
*/

namespace forumflair\bscftrscls\acp;

class main_module
{

	var $u_action;

	function main($id, $mode)
	{
		global $user, $template, $request, $config;

		$this->tpl_name 	= 'acp_bscftrscls';
		$this->page_title 	= $user->lang('ACP_BSCFTRSCLS_SETTINGS');
		$form_name 		 	= 'acp_bscftrscls';

		add_form_key($form_name);

		$submit = $request->is_set_post('submit');
		if ($submit)
		{
			if (!check_form_key('acp_bscftrscls'))
			{
				trigger_error('FORM_INVALID');
			}

			$config->set('bscftrscls_enbl',				$request->variable('bscftrscls_enbl', 0));
			
			$config->set('bscftrscls_thme',				$request->variable('bscftrscls_thme', 0));
			$config->set('bscftrscls_sze',				$request->variable('bscftrscls_sze', 0));
			$config->set('bscftrscls_hvr',				$request->variable('bscftrscls_hvr', 0));
			$config->set('bscftrscls_crnrs',			$request->variable('bscftrscls_crnrs', 0));

			$config->set('bscftrscls_wbst_enbl',		$request->variable('bscftrscls_wbst_enbl', 0));
			$config->set('bscftrscls_wbst_url',			$request->variable('bscftrscls_wbst_url', ''));

			$config->set('bscftrscls_fcbk_enbl',		$request->variable('bscftrscls_fcbk_enbl', 0));
			$config->set('bscftrscls_fcbk_url',			$request->variable('bscftrscls_fcbk_url', ''));

			$config->set('bscftrscls_twtr_enbl',		$request->variable('bscftrscls_twtr_enbl', 0));
			$config->set('bscftrscls_twtr_url',			$request->variable('bscftrscls_twtr_url', ''));

			$config->set('bscftrscls_insta_enbl',		$request->variable('bscftrscls_insta_enbl', 0));
			$config->set('bscftrscls_insta_url',		$request->variable('bscftrscls_insta_url', ''));

			$config->set('bscftrscls_pntrst_enbl',		$request->variable('bscftrscls_pntrst_enbl', 0));
			$config->set('bscftrscls_pntrst_url',		$request->variable('bscftrscls_pntrst_url', ''));

			$config->set('bscftrscls_tmblr_enbl',		$request->variable('bscftrscls_tmblr_enbl', 0));
			$config->set('bscftrscls_tmblr_url',		$request->variable('bscftrscls_tmblr_url', ''));

			$config->set('bscftrscls_ytube_enbl',		$request->variable('bscftrscls_ytube_enbl', 0));
			$config->set('bscftrscls_ytube_url',		$request->variable('bscftrscls_ytube_url', ''));

			$config->set('bscftrscls_twtch_enbl',		$request->variable('bscftrscls_twtch_enbl', 0));
			$config->set('bscftrscls_twtch_url',		$request->variable('bscftrscls_twtch_url', ''));

			$config->set('bscftrscls_steam_enbl',		$request->variable('bscftrscls_steam_enbl', 0));
			$config->set('bscftrscls_steam_url',		$request->variable('bscftrscls_steam_url', ''));

			$config->set('bscftrscls_wrdprs_enbl',		$request->variable('bscftrscls_wrdprs_enbl', 0));
			$config->set('bscftrscls_wrdprs_url',		$request->variable('bscftrscls_wrdprs_url', ''));

			$config->set('bscftrscls_lnkdn_enbl',		$request->variable('bscftrscls_lnkdn_enbl', 0));
			$config->set('bscftrscls_lnkdn_url',		$request->variable('bscftrscls_lnkdn_url', ''));

			$config->set('bscftrscls_drbl_enbl',		$request->variable('bscftrscls_drbl_enbl', 0));
			$config->set('bscftrscls_drbl_url',			$request->variable('bscftrscls_drbl_url', ''));

			$config->set('bscftrscls_cdpen_enbl',		$request->variable('bscftrscls_cdpen_enbl', 0));
			$config->set('bscftrscls_cdpen_url',		$request->variable('bscftrscls_cdpen_url', ''));

			$config->set('bscftrscls_gthub_enbl',		$request->variable('bscftrscls_gthub_enbl', 0));
			$config->set('bscftrscls_gthub_url',		$request->variable('bscftrscls_gthub_url', ''));

			$config->set('bscftrscls_amazn_enbl',		$request->variable('bscftrscls_amazn_enbl', 0));
			$config->set('bscftrscls_amazn_url',		$request->variable('bscftrscls_amazn_url', ''));

			$config->set('bscftrscls_ebay_enbl',		$request->variable('bscftrscls_ebay_enbl', 0));
			$config->set('bscftrscls_ebay_url',			$request->variable('bscftrscls_ebay_url', ''));

			$config->set('bscftrscls_etsy_enbl',		$request->variable('bscftrscls_etsy_enbl', 0));
			$config->set('bscftrscls_etsy_url',			$request->variable('bscftrscls_etsy_url', ''));

			$config->set('bscftrscls_pypl_enbl',		$request->variable('bscftrscls_pypl_enbl', 0));
			$config->set('bscftrscls_pypl_url',			$request->variable('bscftrscls_pypl_url', ''));

			trigger_error($user->lang('ACP_BSCFTRSCLS_SAVED') . adm_back_link($this->u_action));
		}

		$template->assign_vars(array(

			'BSCFTRSCLS_ENBL'			=> $config['bscftrscls_enbl'],

			'BSCFTRSCLS_THME'			=> $config['bscftrscls_thme'],
			'BSCFTRSCLS_SZE'			=> $config['bscftrscls_sze'],
			'BSCFTRSCLS_HVR'			=> $config['bscftrscls_hvr'],
			'BSCFTRSCLS_CRNRS'			=> $config['bscftrscls_crnrs'],

			'BSCFTRSCLS_WBST_ENBL'		=> $config['bscftrscls_wbst_enbl'],
			'BSCFTRSCLS_WBST_URL'		=> $config['bscftrscls_wbst_url'],

			'BSCFTRSCLS_FCBK_ENBL'		=> $config['bscftrscls_fcbk_enbl'],
			'BSCFTRSCLS_FCBK_URL'		=> $config['bscftrscls_fcbk_url'],

			'BSCFTRSCLS_TWTR_ENBL'		=> $config['bscftrscls_twtr_enbl'],
			'BSCFTRSCLS_TWTR_URL'		=> $config['bscftrscls_twtr_url'],

			'BSCFTRSCLS_INSTA_ENBL'		=> $config['bscftrscls_insta_enbl'],
			'BSCFTRSCLS_INSTA_URL'		=> $config['bscftrscls_insta_url'],

			'BSCFTRSCLS_PNTRST_ENBL'	=> $config['bscftrscls_pntrst_enbl'],
			'BSCFTRSCLS_PNTRST_URL'		=> $config['bscftrscls_pntrst_url'],

			'BSCFTRSCLS_TMBLR_ENBL'		=> $config['bscftrscls_tmblr_enbl'],
			'BSCFTRSCLS_TMBLR_URL'		=> $config['bscftrscls_tmblr_url'],

			'BSCFTRSCLS_YTUBE_ENBL'		=> $config['bscftrscls_ytube_enbl'],
			'BSCFTRSCLS_YTUBE_URL'		=> $config['bscftrscls_ytube_url'],

			'BSCFTRSCLS_TWTCH_ENBL'		=> $config['bscftrscls_twtch_enbl'],
			'BSCFTRSCLS_TWTCH_URL'		=> $config['bscftrscls_twtch_url'],

			'BSCFTRSCLS_STEAM_ENBL'		=> $config['bscftrscls_steam_enbl'],
			'BSCFTRSCLS_STEAM_URL'		=> $config['bscftrscls_steam_url'],

			'BSCFTRSCLS_WRDPRS_ENBL'	=> $config['bscftrscls_wrdprs_enbl'],
			'BSCFTRSCLS_WRDPRS_URL'		=> $config['bscftrscls_wrdprs_url'],

			'BSCFTRSCLS_LNKDN_ENBL'		=> $config['bscftrscls_lnkdn_enbl'],
			'BSCFTRSCLS_LNKDN_URL'		=> $config['bscftrscls_lnkdn_url'],

			'BSCFTRSCLS_DRBL_ENBL'		=> $config['bscftrscls_drbl_enbl'],
			'BSCFTRSCLS_DRBL_URL'		=> $config['bscftrscls_drbl_url'],

			'BSCFTRSCLS_CDPEN_ENBL'		=> $config['bscftrscls_cdpen_enbl'],
			'BSCFTRSCLS_CDPEN_URL'		=> $config['bscftrscls_cdpen_url'],

			'BSCFTRSCLS_GTHUB_ENBL'		=> $config['bscftrscls_gthub_enbl'],
			'BSCFTRSCLS_GTHUB_URL'		=> $config['bscftrscls_gthub_url'],

			'BSCFTRSCLS_AMAZN_ENBL'		=> $config['bscftrscls_amazn_enbl'],
			'BSCFTRSCLS_AMAZN_URL'		=> $config['bscftrscls_amazn_url'],

			'BSCFTRSCLS_EBAY_ENBL'		=> $config['bscftrscls_ebay_enbl'],
			'BSCFTRSCLS_EBAY_URL'		=> $config['bscftrscls_ebay_url'],

			'BSCFTRSCLS_ETSY_ENBL'		=> $config['bscftrscls_etsy_enbl'],
			'BSCFTRSCLS_ETSY_URL'		=> $config['bscftrscls_etsy_url'],

			'BSCFTRSCLS_PYPL_ENBL'		=> $config['bscftrscls_pypl_enbl'],
			'BSCFTRSCLS_PYPL_URL'		=> $config['bscftrscls_pypl_url'],

			'U_ACTION'					=> $this->u_action,
		));
	}
}
