<?php

/*
* @package phpBB Extension - Basic Footer Socials
* @copyright (c) 2022, ForumFlair, https://forumflair.co.uk
* @license GNU General Public License, version 2 (GPL-2.0)
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge($lang, array(
	'ACP_BSCFTRSCLS'						=> 'Basic Footer Socials',

	'ACP_BSCFTRSCLS_SETTINGS'				=> 'Settings',
	'ACP_BSCFTRSCLS_SETTINGS_INFO'			=> 'Here you can configure the Basic Footer Socials extension.',

	'ACP_BSCFTRSCLS_ENBL_SETUP'				=> 'Enable extension',
	'ACP_BSCFTRSCLS_ENBL'					=> 'Enable Basic Footer Socials extension',

	'ACP_BSCFTRSCLS_SCLS_STYLE_SETUP'		=> 'Socials style settings',

	'ACP_BSCFTRSCLS_SCLS_THME'				=> 'Social icon theme',
	'ACP_BSCFTRSCLS_SCLS_BRND_FIL'			=> 'Brand fill',
	'ACP_BSCFTRSCLS_SCLS_BRND_OUTLN'		=> 'Brand outline',
	'ACP_BSCFTRSCLS_SCLS_FIL'				=> 'Fill',
	'ACP_BSCFTRSCLS_SCLS_OUTLN'				=> 'Outline',

	'ACP_BSCFTRSCLS_SCLS_SZE'				=> 'Social icon size',
	'ACP_BSCFTRSCLS_SCLS_MDM'				=> 'Medium',
	'ACP_BSCFTRSCLS_SCLS_SML'				=> 'Small',
	'ACP_BSCFTRSCLS_SCLS_LRG'				=> 'Large',

	'ACP_BSCFTRSCLS_SCLS_HVR'				=> 'Social icon hover effect',
	'ACP_BSCFTRSCLS_SCLS_BCKGRND'			=> 'Background',
	'ACP_BSCFTRSCLS_SCLS_SPN'				=> 'Spin',
	'ACP_BSCFTRSCLS_SCLS_ZOOM'				=> 'Zoom',

	'ACP_BSCFTRSCLS_SCLS_CRNRS'				=> 'Social icon corners',
	'ACP_BSCFTRSCLS_SCLS_RND'				=> 'Round',
	'ACP_BSCFTRSCLS_SCLS_FLT'				=> 'Flat',
	'ACP_BSCFTRSCLS_SCLS_RNDD'				=> 'Rounded',

	'ACP_BSCFTRSCLS_SCLS_LINKS_SETUP'		=> 'Social link settings',

	'ACP_BSCFTRSCLS_WBST_ENBL'				=> 'Enable website social',
	'ACP_BSCFTRSCLS_WBST_URL'				=> 'Website URL',
	'ACP_BSCFTRSCLS_WBST_URL_PLCHLDR'		=> 'https://your-website-url-here.co.uk/',

	'ACP_BSCFTRSCLS_FCBK_ENBL'				=> 'Enable Facebook social',
	'ACP_BSCFTRSCLS_FCBK_URL'				=> 'Facebook URL',
	'ACP_BSCFTRSCLS_FCBK_URL_PLCHLDR'		=> 'https://www.facebook.com/your-username-here/',

	'ACP_BSCFTRSCLS_TWTR_ENBL'				=> 'Enable Twitter social',
	'ACP_BSCFTRSCLS_TWTR_URL'				=> 'Twitter URL',
	'ACP_BSCFTRSCLS_TWTR_URL_PLCHLDR'		=> 'https://twitter.com/your-username-here/',

	'ACP_BSCFTRSCLS_INSTA_ENBL'				=> 'Enable InstaGram social',
	'ACP_BSCFTRSCLS_INSTA_URL'				=> 'InstaGram URL',
	'ACP_BSCFTRSCLS_INSTA_URL_PLCHLDR'		=> 'https://www.instagram.com/your-username-here/',

	'ACP_BSCFTRSCLS_PNTRST_ENBL'			=> 'Enable Pinterest social',
	'ACP_BSCFTRSCLS_PNTRST_URL'				=> 'Pinterest URL',
	'ACP_BSCFTRSCLS_PNTRST_URL_PLCHLDR'		=> 'https://www.pinterest.co.uk/your-username-here/',

	'ACP_BSCFTRSCLS_TMBLR_ENBL'				=> 'Enable Tumblr social',
	'ACP_BSCFTRSCLS_TMBLR_URL'				=> 'Tumblr URL',
	'ACP_BSCFTRSCLS_TMBLR_URL_PLCHLDR'		=> 'https://your-username-here.tumblr.com/',

	'ACP_BSCFTRSCLS_YTUBE_ENBL'				=> 'Enable YouTube social',
	'ACP_BSCFTRSCLS_YTUBE_URL'				=> 'YouTube URL',
	'ACP_BSCFTRSCLS_YTUBE_URL_PLCHLDR'		=> 'https://www.youtube.com/your-channel-url-here/',

	'ACP_BSCFTRSCLS_TWTCH_ENBL'				=> 'Enable Twitch social',
	'ACP_BSCFTRSCLS_TWTCH_URL'				=> 'Twitch URL',
	'ACP_BSCFTRSCLS_TWTCH_URL_PLCHLDR'		=> 'https://www.twitch.tv/your-channel-name-here/',

	'ACP_BSCFTRSCLS_STEAM_ENBL'				=> 'Enable Steam social',
	'ACP_BSCFTRSCLS_STEAM_URL'				=> 'Steam URL',
	'ACP_BSCFTRSCLS_STEAM_URL_PLCHLDR'		=> 'https://steamcommunity.com/id/your-username-here/',

	'ACP_BSCFTRSCLS_WRDPRS_ENBL'			=> 'Enable WordPress social',
	'ACP_BSCFTRSCLS_WRDPRS_URL'				=> 'WordPress URL',
	'ACP_BSCFTRSCLS_WRDPRS_URL_PLCHLDR'		=> 'https://your-wordpress-url-here.co.uk/',

	'ACP_BSCFTRSCLS_LNKDN_ENBL'				=> 'Enable LinkedIn social',
	'ACP_BSCFTRSCLS_LNKDN_URL'				=> 'LinkedIn URL',
	'ACP_BSCFTRSCLS_LNKDN_URL_PLCHLDR'		=> 'https://uk.linkedin.com/in/your-username-here/',

	'ACP_BSCFTRSCLS_DRBL_ENBL'				=> 'Enable Dribbble social',
	'ACP_BSCFTRSCLS_DRBL_URL'				=> 'Dribbble URL',
	'ACP_BSCFTRSCLS_DRBL_URL_PLCHLDR'		=> 'https://dribbble.com/your-username-here/',

	'ACP_BSCFTRSCLS_CDPEN_ENBL'				=> 'Enable CodePen social',
	'ACP_BSCFTRSCLS_CDPEN_URL'				=> 'CodePen URL',
	'ACP_BSCFTRSCLS_CDPEN_URL_PLCHLDR'		=> 'https://codepen.io/your-username-here/',

	'ACP_BSCFTRSCLS_GTHUB_ENBL'				=> 'Enable GitHub social',
	'ACP_BSCFTRSCLS_GTHUB_URL'				=> 'GitHub URL',
	'ACP_BSCFTRSCLS_GTHUB_URL_PLCHLDR'		=> 'https://github.com/your-username-here/',

	'ACP_BSCFTRSCLS_AMAZN_ENBL'				=> 'Enable Amazon social',
	'ACP_BSCFTRSCLS_AMAZN_URL'				=> 'Amazon URL',
	'ACP_BSCFTRSCLS_AMAZN_URL_PLCHLDR'		=> 'https://www.amazon.com/shop/your-username-here/',

	'ACP_BSCFTRSCLS_EBAY_ENBL'				=> 'Enable eBay social',
	'ACP_BSCFTRSCLS_EBAY_URL'				=> 'eBay URL',
	'ACP_BSCFTRSCLS_EBAY_URL_PLCHLDR'		=> 'https://www.ebay.co.uk/usr/your-username-here/',

	'ACP_BSCFTRSCLS_ETSY_ENBL'				=> 'Enable Etsy social',
	'ACP_BSCFTRSCLS_ETSY_URL'				=> 'Etsy URL',
	'ACP_BSCFTRSCLS_ETSY_URL_PLCHLDR'		=> 'https://www.etsy.com/uk/shop/your-username-here/',

	'ACP_BSCFTRSCLS_PYPL_ENBL'				=> 'Enable PayPal social',
	'ACP_BSCFTRSCLS_PYPL_URL'				=> 'PayPal URL',
	'ACP_BSCFTRSCLS_PYPL_URL_PLCHLDR'		=> 'https://www.paypal.com/paypalme/your-username-here/',

	'ACP_BSCFTRSCLS_SAVED'					=> 'Extension settings updated successfully.',
));
